import { Component, OnInit } from '@angular/core';
import { data } from './data';

@Component({
  selector: 'of-host-summary-card',
  templateUrl: './host-summary-card.component.html',
  styleUrls: ['./host-summary-card.component.scss']
})
export class HostSummaryCardComponent implements OnInit {

  view: any[] = [440, 180];

  colorScheme = {
    domain: ['#5AA454',  '#C7B42C', '#A10A28']
  };

  constructor() {
    Object.assign(this, { data });
  }

  onSelect(event) {
    console.log(event);
  }

  ngOnInit() {
  }

}
