import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'of-notification-badge',
  templateUrl: './notification.component.html',
  styleUrls: ['./notification.component.scss']
})
export class NotificationBadgeComponent implements OnInit {

  cssPrefix = 'toolbar-notification';
  isOpen = false;
  @Input() notifications = [];

  constructor(
    private router: Router
  ) { }

  ngOnInit() {
  }

  select() {

  }

  delete(notification) {

  }

  handleMarkAllAsRead() {
    console.log('Mark All');
  }

  handleViewAll() {
    this.isOpen = false;
    this.router.navigate(['notification']);
  }
}
