import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InfoTableComponent } from 'app/commons/component/info-table/info-table.component';
import { MaterialModule } from 'app/commons/ui/material/material.module';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule
  ],
  declarations: [
    InfoTableComponent
  ],
  exports: [
    InfoTableComponent
  ]
})
export class InfoTableModule { }
