import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { SubMenubarModule } from 'app/commons/component/sub-menubar/sub-menubar.module';
import { TargetsPageComponent } from 'app/pages/targets/targets-page.component';
import { TargetModule } from 'packages/target/target.module';
import { TargetsPageRoutingModule } from 'app/pages/targets/targets-page-routing.module';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    TargetsPageRoutingModule,
    TargetModule
  ],
  declarations: [
    TargetsPageComponent
  ]
})
export class TargetsPageModule { }
