import Port from './Port';
import Zone from './Zone';

interface Host {
    id?: number;
    ip: number;
    mac: number;
    createDate?: Date;
    updateDate: Date;
    os: string;
    target: boolean;
    ports?: Port[];
    zone?: Zone;
}

export default Host;
